atkmm: Atk::StreamableContent Class Reference

atkmm 2.28.5

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Atk::StreamableContent Class Reference

The ATK interface which provides access to streamable content. More...

`#include <atkmm/streamablecontent.h>`

Inheritance diagram for Atk::StreamableContent:
[legend]

## Public Member Functions
| StreamableContent (StreamableContent && src) noexcept
StreamableContent & | operator= (StreamableContent && src) noexcept
| ~StreamableContent () noexcept override
AtkStreamableContent * | gobj ()
| Provides access to the underlying C GObject.
const AtkStreamableContent * | gobj () const
| Provides access to the underlying C GObject.
int | get_n_mime_types () const
| Gets the number of mime types supported by this object.
Glib::ustring | get_mime_type (int i) const
| Gets the character string of the specified mime type.
Glib::RefPtr< Glib::IOChannel > | get_stream (const Glib::ustring & mime_type)
| Gets the content in the specified mime type.
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
| ~Interface () noexcept override
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void > &&slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, sigc::slot< void > &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Protected Member Functions
| StreamableContent ()
| You should derive from this class to use it.
virtual int | get_n_mime_types_vfunc () const
virtual const gchar * | get_mime_type_vfunc (int i) const
virtual GIOChannel * | get_stream_vfunc (const Glib::ustring & mime_type)
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Atk::StreamableContent > | wrap (AtkStreamableContent * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

The ATK interface which provides access to streamable content.

## Constructor & Destructor Documentation

## ◆ StreamableContent() [1/2]

Atk::StreamableContent::StreamableContent | ( |  | ) |
| protected

You should derive from this class to use it.

## ◆ StreamableContent() [2/2]

Atk::StreamableContent::StreamableContent | ( | StreamableContent && | src | ) |
| noexcept

## ◆ ~StreamableContent()

Atk::StreamableContent::~StreamableContent | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ add_interface()

void Atk::StreamableContent::add_interface | ( | GType | gtype_implementer | ) |
| static

## ◆ get_mime_type()

Glib::ustring Atk::StreamableContent::get_mime_type | ( | int | i | ) | const

Gets the character string of the specified mime type.

The first mime type is at position 0, the second at position 1, and so on.

Parameters

  i | A int representing the position of the mime type starting from 0.

Returns
  A gchar* representing the specified mime type; the caller should not free the character string.

## ◆ get_mime_type_vfunc()

virtual const gchar * Atk::StreamableContent::get_mime_type_vfunc | ( | int | i | ) | const
| protectedvirtual

## ◆ get_n_mime_types()

int Atk::StreamableContent::get_n_mime_types | ( |  | ) | const

Gets the number of mime types supported by this object.

Returns
  A int which is the number of mime types supported by the object.

## ◆ get_n_mime_types_vfunc()

virtual int Atk::StreamableContent::get_n_mime_types_vfunc | ( |  | ) | const
| protectedvirtual

## ◆ get_stream()

Glib::RefPtr< Glib::IOChannel > Atk::StreamableContent::get_stream | ( | const Glib::ustring & | mime_type | ) |

Gets the content in the specified mime type.

Parameters

  mime_type | A gchar* representing the mime type.

Returns
  A IOChannel which contains the content in the specified mime type.

## ◆ get_stream_vfunc()

virtual GIOChannel * Atk::StreamableContent::get_stream_vfunc | ( | const Glib::ustring & | mime_type | ) |
| protectedvirtual

## ◆ get_type()

GType Atk::StreamableContent::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

AtkStreamableContent * Atk::StreamableContent::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const AtkStreamableContent * Atk::StreamableContent::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ operator=()

StreamableContent & Atk::StreamableContent::operator= | ( | StreamableContent && | src | ) |
| noexcept

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Atk::StreamableContent > wrap | ( | AtkStreamableContent * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.